diff -ur ../../src/Xsi/Contrib/dic/gerodic/Makefile ./Contrib/dic/gerodic/Makefile
--- ../../src/Xsi/Contrib/dic/gerodic/Makefile	Fri May 14 07:07:14 1999
+++ ./Contrib/dic/gerodic/Makefile	Sun Aug  8 11:09:58 1999
@@ -1,11 +1,15 @@
+# Generated automatically from Makefile.in by configure.
 #
-# $Id: Makefile,v 1.1.2.4 1999/04/19 05:51:56 nakanisi Exp $
+# $Id: Makefile.in,v 1.1.2.1 1999/03/23 12:10:47 nakanisi Exp $
 #
 
 # FreeWnn is a network-extensible Kana-to-Kanji conversion system.
 # This file is part of FreeWnn.
-# 
-# Copyright Wnn Consortium. 1993
+#
+# Copyright Kyoto University Research Institute for Mathematical Sciences
+#                 1987, 1988, 1989, 1990, 1991, 1992
+# Copyright OMRON Corporation. 1987, 1988, 1989, 1990, 1991, 1992, 1999
+# Copyright ASTEC, Inc. 1987, 1988, 1989, 1990, 1991, 1992
 #
 # Author: OMRON SOFTWARE Co., Ltd. <freewnn@rd.kyoto.omronsoft.co.jp>
 #
@@ -26,10 +30,8 @@
 # Commentary:
 #
 # Change log:
-#	'99/04/19	TAOKA Satoshi - ÅÄ²¬ ÃÒ»Ö<taoka@infonets.hiroshima-u.ac.jp>
-#		¥¤¥ó¥¹¥È¡¼¥ë¥Ç¥£¥ì¥¯¥È¥ê¤òÊÑ¹¹²ÄÇ½¤Ë¤¹¤ë
 #
-# Last modified date: 19,Apr.1999
+# Last modified date: 23,Mar.1999
 #
 
 # Makefile for gerodic 1.00
diff -ur ../../src/Xsi/Pubdic/Makefile ./Pubdic/Makefile
--- ../../src/Xsi/Pubdic/Makefile	Mon Feb  8 02:06:52 1999
+++ ./Pubdic/Makefile	Sun Aug  8 11:10:27 1999
@@ -1,100 +0,0 @@
-#
-# $Id: Makefile,v 1.1.2.2 1999/02/08 02:06:52 yamasita Exp $
-#
-
-# FreeWnn is a network-extensible Kana-to-Kanji conversion system.
-# Makefile for pubdic dictionaries
-# 
-# Copyright Kyoto University Research Institute for Mathematical Sciences
-#                 1987, 1988, 1989, 1990, 1991, 1992
-# Copyright OMRON Corporation. 1987, 1988, 1989, 1990, 1991, 1992, 1999
-# Copyright ASTEC, Inc. 1987, 1988, 1989, 1990, 1991, 1992
-#
-# Author: OMRON SOFTWARE Co., Ltd. <freewnn@rd.kyoto.omronsoft.co.jp>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
-# any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with GNU Emacs; see the file COPYING.  If not, write to the
-# Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
-# Commentary:
-#
-# Change log:
-#
-# Last modified date: 8,Feb.1999
-#
-
-#
-#   Do simply 'make' for normal cases.
-#   Do 'make project', if your site participates in the PUBDIC project.
-#
-
-WNNDIR=/usr3/proj/Wnn
-#ATOD=$(WNNDIR)/jutil/atod
-ATOD=atod
-#ATOF=$(WNNDIR)/fuzokugo/atof
-ATOF=atof
-HINSI=hinsi.data
-FZK_SRC=fzk.master fzk.attr fzk.jirattr fzk.fzkattr fzk.jircon fzk.con fzk.shuutan
-FZK_FLAG=
-
-dic=\
-	kihon.dic \
-	setsuji.dic \
-	jinmei.dic \
-	chimei.dic \
-	koyuu.dic \
-	special.dic \
-	computer.dic \
-	bio.dic \
-	symbol.dic \
-	tankan.dic
-
-more=\
-	kihon.more \
-	setsuji.more \
-	jinmei.more \
-	chimei.more \
-	koyuu.more \
-	special.more \
-	computer.more \
-	bio.more \
-	symbol.more \
-	tankan.more
-
-all: full.fzk kougo.fzk std.fzk $(dic)
-
-project: all $(more)
-
-clean:
-	rm -f *.fzk *.dic *.more
-
-std.fzk: $(FZK_SRC)
-	/lib/cpp $(FZK_FLAG) fzk.master | egrep -v '^(# |$$)' | $(ATOF) $@
-
-full.fzk: $(FZK_SRC)
-	make FZK_FLAG=-DKANSAI std.fzk
-	mv std.fzk $@
-
-kougo.fzk: $(FZK_SRC)
-	make FZK_FLAG=-DKOUGO std.fzk
-	mv std.fzk $@
-
-.SUFFIXES: .hd .u .dic .more
-
-.u.dic:
-	cat $*.hd $< | $(ATOD) -p Version -P Version $@
-
-.hd.more:
-	$(ATOD) $@ < $<
-
-$(dic): $(HINSI)
diff -ur ../../src/Xsi/Wnn/etc/bdic.c ./Wnn/etc/bdic.c
--- ../../src/Xsi/Wnn/etc/bdic.c	Mon Feb  8 02:35:00 1999
+++ ./Wnn/etc/bdic.c	Sun Aug  1 16:01:28 1999
@@ -1144,7 +1144,7 @@
 #endif /* BDIC_WRITE_CHECK */
     }
 
-#ifdef	BSD42
+#if defined(BSD42)&& !defined(__BEOS__)
     fchmod(fileno(fp), 0664);
     fclose(fp);
 #else	/* SYSV */
@@ -1200,7 +1200,7 @@
     putnull(fp, serial);
 #endif /* BDIC_WRITE_CHECK */
 
-#ifdef	BSD42
+#if defined(BSD42) && !defined(__BEOS__)
     fchmod(fileno(fp), 0664);
     fclose(fp);
 #else	/* SYSV */
diff -ur ../../src/Xsi/Wnn/include/commonhd.h ./Wnn/include/commonhd.h
--- ../../src/Xsi/Wnn/include/commonhd.h	Mon Feb  8 02:40:52 1999
+++ ./Wnn/include/commonhd.h	Sun Aug  1 15:33:26 1999
@@ -42,7 +42,7 @@
  * Common header 
  ****************/
 #include <stdio.h>
-#ifdef linux
+#if defined(linux)|| defined(__BEOS__)
 #include <unistd.h>
 #endif
 #define	JSERVER_VERSION	0x4200	/* minor version */
diff -ur ../../src/Xsi/Wnn/jlib/js.c ./Wnn/jlib/js.c
--- ../../src/Xsi/Wnn/jlib/js.c	Mon May 17 03:04:45 1999
+++ ./Wnn/jlib/js.c	Sat Aug  7 15:27:11 1999
@@ -382,7 +382,11 @@
 {int cc,x;
  for(cc=0;cc<n;){
 	errno = 0;
+#ifdef __BEOS__
+	x=send(current_sd, &snd_buf[cc],n-cc, 0 );
+#else
 	x=write(current_sd, &snd_buf[cc],n-cc );
+#endif
 	if(x < 0) {
 	    if (ERRNO_CHECK(errno) || errno == EINTR) {
 		continue;
@@ -458,7 +462,11 @@
  if(rbc<=0){
     while(1) {
 	errno = 0;
+#ifdef __BEOS__
+	rbc = recv(current_sd, rcv_buf, R_BUF_SIZ, 0);
+#else
 	rbc = read(current_sd, rcv_buf, R_BUF_SIZ);
+#endif
 	if(rbc <= 0) {
 	    if (ERRNO_CHECK(errno)) {
 		continue;
diff -ur ../../src/Xsi/Wnn/jserver/de.c ./Wnn/jserver/de.c
--- ../../src/Xsi/Wnn/jserver/de.c	Fri May 14 07:07:42 1999
+++ ./Wnn/jserver/de.c	Sun Aug  8 16:58:07 1999
@@ -275,7 +275,7 @@
 #endif /* 4.4BSD-Lite */
 	}
 
-#if defined(hpux) || defined(SOLARIS)
+#if defined(hpux) || defined(SOLARIS) || defined(__BEOS__)
 	setpgrp();
 #else /* defined(hpux) || defined(SOLARIS) */
 # if !defined(TIOCNOTTY) && defined(SVR4)
@@ -416,7 +416,11 @@
 
     if(full || sd >= nofile || clientp >= max_client) {
 	fprintf(stderr,"%s: no more client\n", cmd_name);
+#ifdef __BEOS__
+	recv(sd,gomi,1024,0);
+#else
 	read(sd,gomi,1024);
+#endif
 	shutdown(sd, 2);
 	close(sd);
 	return;
@@ -605,7 +609,11 @@
     register int cc = 0;
     while(cc <= 0) {
 	errno = 0;
+#ifdef __BEOS__
+	cc = recv(cblk[clp].sd, rcv_buf, S_BUF_SIZ, 0);
+#else
 	cc = read(cblk[clp].sd, rcv_buf, S_BUF_SIZ);
+#endif
 	if (cc <= 0) {
 	    if (ERRNO_CHECK(errno)) {
 		continue;
@@ -636,7 +644,11 @@
 #endif
     for(cc=0;cc<n;){
 	errno = 0;
+#ifdef __BEOS__
+	x = send(cblk[clp].sd, &snd_buf[cc], n-cc, 0);
+#else
 	x = write(cblk[clp].sd, &snd_buf[cc], n-cc);
+#endif
 	if (x < 0) {
 	    if (ERRNO_CHECK(errno) || errno == EINTR) {
 		errno = 0;
@@ -800,7 +812,11 @@
 #endif
     saddr_in.sin_family = AF_INET;
     saddr_in.sin_port = port;
+#ifdef __BEOS__
+    saddr_in.sin_addr.s_addr = htonl(INADDR_LOOPBACK);/* quick */
+#else
     saddr_in.sin_addr.s_addr = htonl(INADDR_ANY);
+#endif
     if ((sock_d_in = socket(AF_INET,SOCK_STREAM, 0)) == ERROR) {
 	xerror("can't create inet-socket\n");
     }
diff -ur ../../src/Xsi/configure ./configure
--- ../../src/Xsi/configure	Tue Apr  6 03:12:18 1999
+++ ./configure	Sun Aug  8 11:06:55 1999
@@ -722,6 +722,11 @@
         CPP=/usr/ccs/lib/cpp
     fi
     ;;
+"BeOS")
+    CCOPTIONS="-D_POSIX_SOURCE -D_BSD_SOURCE"
+    CDEBUGFLAGS="-O2 -g"
+    CPP=/boot/develop/tools/gnupro/lib/gcc-lib/i586-beos/2.9-beos-980929/cpp
+    ;;
 *)
     { echo "configure: error: "This system is not supported."" 1>&2; exit 1; }
     ;;
